
#include <stdio.h>
#include <stdlib.h>
#include <math.h>

double f(double x, double y)
{
    return sin(x)*cos(x*y/10);
}

main(int argc, char* argv[])
{
    int n = 100, i, j;
    double xmax = 10;

    /* Parse the argument list. */

    if (argc > 1) n = atoi(argv[1]);
    if (argc > 2) xmax = atof(argv[2]);

    /* Print out the desired 3-D data table. */

    for (i = 0; i <= n; i++) {
	double x = (i*xmax)/n;

	for (j = 0; j <= n; j++) {
	    double y = (j*xmax)/n;

	    printf("%f %f %f\n", x, y, f(x,y));

	}
    }
}
