
#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#define EPS 0.0001

main(int argc, char* argv[])
{
    int n = 1000;
    double xmax = 10;
    double x, scale = 0.1 / RAND_MAX;

    /* Parse the argument list. */

    if (argc > 1) n = atoi(argv[1]);
    if (argc > 2) xmax = atof(argv[2]);

    srand(12345);

    /* Print out the desired data table. */

    for (x = 0; x <= xmax + EPS; x += xmax/n) {
	double y = sin(x);
	printf("%f %f %f %f\n",
	       x, y, y - rand()*scale, y + rand()*scale);
    }
}
